Module wxmpl :: Class PlotApp

[frames] | no frames]

# Class PlotApp

source code

    wx.App --+
             |
            PlotApp

A wxApp that provides a matplotlib canvas embedded in a wxPython top-level window, encapsulating wxPython's nuts and bolts.

Instance Methods

__init__(self, title="WxMpl", size=(6.0,3.7), dpi=96, cursor=True, location=True, crosshairs=True, selection=True, zoom=True, **kwds) Creates a new PlotApp, which creates a PlotFrame top-level window. | source code

OnInit(self) | source code

get_figure(self) Returns the figure associated with this canvas. | source code

set_cursor(self, state) Enable or disable the changing mouse cursor. | source code

set_location(self, state) Enable or disable the display of the matplotlib axes coordinates of the mouse in the lower left corner of the canvas. | source code

set_crosshairs(self, state) Enable or disable drawing crosshairs through the mouse cursor when it is inside a matplotlib axes. | source code

set_selection(self, state) Enable or disable area selections, where user selects a rectangular area of the canvas by left-clicking and dragging the mouse. | source code

set_zoom(self, state) Enable or disable zooming in when the user makes an area selection and zooming out again when the user right-clicks. | source code

draw(self) Draw the associated `Figure` onto the screen. | source code

Class Variables
| ABOUT_TITLE = `None` Title of the "About" dialog.
| ABOUT_MESSAGE = `None` Contents of the "About" dialog.

Method Details

### __init__(self, title="WxMpl", size=(6.0,3.7), dpi=96, cursor=True, location=True, crosshairs=True, selection=True, zoom=True, **kwds)
(Constructor)

source code

Creates a new PlotApp, which creates a PlotFrame top-level window.

The keyword argument `title` specifies the title of this top-level window.

All of other the named keyword arguments to this constructor have the same meaning as those arguments to the constructor of `PlotPanel`.

Any additional keyword arguments are passed to the constructor of `wx.App`.

### set_cursor(self, state)

source code

Enable or disable the changing mouse cursor. When enabled, the cursor changes from the normal arrow to a square cross when the mouse enters a matplotlib axes on this canvas.